%define name tcptraceroute
%define version 1.4
%define release 3mdk

Name:		%{name}
Summary:	tcptraceroute is a traceroute implementation using TCP packets 
Version:	%{version} 
Release:	%{release} 
Source:		%{name}-%{version}.tar.bz2 
URL:		http://michael.toren.net/code/tcptraceroute/
Group:		Networking/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	GPL
BuildRequires:	libnet libpcap-devel
Requires:	libpcap

%description
The more traditional traceroute(8) sends out either UDP or ICMP ECHO
packets with a TTL of one, and increments the TTL until the destination
has been reached. By printing the gateways that generate ICMP time
exceeded messages along the way, it is able to determine the path packets
are taking to reach the destination. 

The problem is that with the widespread use of firewalls on the modern
Internet, many of the packets that traceroute(8) sends out end up being
filtered, making it impossible to completely trace the path to the
destination. However, in many cases, these firewalls will permit inbound
TCP packets to specific ports that hosts sitting behind the firewall are
listening for connections on. By sending out TCP SYN packets instead of
UDP or ICMP ECHO packets, tcptraceroute is able to bypass the most common
firewall filters. 

%prep 

%setup -q

%build
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall DESTDIR=%{buildroot}/usr/sbin

install -d %{buildroot}%{_mandir}/man8
install -m644 tcptraceroute.8 %{buildroot}%{_mandir}/man8/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root,0755) 
%doc README COPYING changelog examples.txt tcptraceroute.8.html
%{_mandir}/man8/tcptraceroute.8*
%{_sbindir}/tcptraceroute

%changelog
* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.4-3mdk
- rebuild

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4-2mdk
- build release
- misc spec file fixes

* Wed Oct 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4-1mdk
- from Karel Volny <kavol@email.cz> :
	- first mandrake version (adapted from source)
